/*
 * vim: ts=4 nobackup
 */


#ifndef  __KEYMATRIXLISTENER_H__
#define  __KEYMATRIXLISTENER_H__


extern "C++" {
	namespace avelino {
		using namespace std;

		class KeyMatrixListener {
			public:
				virtual void keyPressed(uint8_t row, uint8_t column) = 0;
				virtual void keyReleased(uint8_t row, uint8_t column) = 0;
		};
	}
}

#endif  // __KEYMATRIXLISTENER_H__
