/*
 * vim: ts=4 nobackup
 */


#ifndef  __MYKEYMATRIXMANAGER_H__
#define  __MYKEYMATRIXMANAGER_H__


#include "KeyMatrixManager.H"


extern "C++" {
	namespace avelino {
		using namespace std;

		class MyKeyMatrixManager : public KeyMatrixManager {
			public:
				void configurePorts();
				uint8_t getNumRows();
				uint8_t getNumColumns();
				void enableRow(uint8_t row);
				bool getColumn(uint8_t column);
		};
	}
}


#endif  // __MYKEYMATRIXMANAGER_H__
