/*
 * vim: ts=4 nobackup
 */

#ifndef  __MYLEDMATRIXMANAGER_H__
#define  __MYLEDMATRIXMANAGER_H__


#include <stdint.h>
#include "LedMatrixManager.H"


extern "C++" {
	namespace avelino {
		using namespace std;

		class MyLedMatrixManager : public LedMatrixManager {
			public:
				uint8_t dots[3][3];
				MyLedMatrixManager();
				uint8_t getDot(uint8_t x, uint8_t y);
				void configurePorts();
				void setRow(uint8_t row, bool v);
				void setColumn(uint8_t column, bool v);
				void clear();
		};
	}
}


#endif  // __MYLEDMATRIXMANAGER_H__
