/*
 * vim: ts=4 nobackup
 */


#ifndef  __TTTGAMEBOARD_H__
#define  __TTTGAMEBOARD_H__


#include <stdint.h>
#include "GameBoard.H"


extern "C++" {
	namespace avelino {
		using namespace std;

		class TTTGameBoard : public GameBoard {
			protected:
				uint8_t lastAvailableMovement;
			public:
				uint8_t data[10];
				void init();
				void set(uint8_t i, uint8_t v);
				uint8_t get(uint8_t i);
				bool isFinished();
				virtual void show();
				void copyFrom(TTTGameBoard &other);
				uint8_t getFirstAvailableMovement();
				uint8_t getNextAvailableMovement();
				uint8_t getWinner();
		};
	}
}


#endif  // ___TTTGAMEBOARD_H__
