/*
 * vim: ts=4 nobackup
 */


#ifndef  __TTTMINIMAXGAMEPLAYER_H__
#define  __TTTMINIMAXGAMEPLAYER_H__


#include "TTTGamePlayer.H"


extern "C++" {
	namespace avelino {
		using namespace std;

		class TTTMinimaxGamePlayer : public TTTGamePlayer {
			protected:
				uint8_t opponentNumber;
			public:
				void setOpponentNumber(uint8_t n);
				void internalInit();
				uint8_t getSpot();   // get spot 1..9 or 0 for no movement
				int8_t minimax(TTTGameBoard &board, bool me, uint8_t &bestMovement);
		};
	}
}


#endif  // ___TTTMINIMAXGAMEPLAYER_H__
