/*
 * vim: ts=4 nobackup
 */


#ifndef  __GAME_H__
#define  __GAME_H__


#include <stdint.h>
#include "GameBoard.H"
#include "GamePlayer.H"


extern "C++" {
	namespace avelino {
		using namespace std;

		class Game {
			protected:
				GamePlayer *player[2];
				GameBoard *board;
				uint8_t playerIndex;
				GamePlayer *winner;
			public:
				void init(GamePlayer &p1, GamePlayer &p2, GameBoard &board);
				void run();
				bool isFinished();
				GamePlayer *getWinner();
		};
	}
}


#endif  // __GAME_H__
