/*
 * vim: ts=4 nobackup
 */


#ifndef  __TTTHUMANGAMEPLAYER_H__
#define  __TTTHUMANGAMEPLAYER_H__


#include "TTTGamePlayer.H"
#include "KeyMatrixListener.H"


extern "C++" {
	namespace avelino {
		using namespace std;

		class TTTHumanGamePlayer : public TTTGamePlayer, public KeyMatrixListener {
			protected:
				uint8_t row;
				uint8_t column;
				bool justPressed;
			public:
				void internalInit();
				uint8_t getSpot();   // get spot 1..9 or 0 for no movement
				void keyPressed(uint8_t row, uint8_t column);
				void keyReleased(uint8_t row, uint8_t column);
		};
	}
}


#endif  // ___TTTRANDOMGAMEPLAYER_H__
